Name:           perl-Test-Differences
Version:        0.70
Release:        1
Summary:        Test strings and data structures and show differences if not OK
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Differences
Source0:        https://cpan.metacpan.org/modules/by-module/Test/Test-Differences-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils findutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:  perl(B::Deparse) perl(Carp) perl(Exporter) perl(strict) perl(warnings)
BuildRequires:  perl(Data::Dumper) >= 2.126
BuildRequires:  perl(Text::Diff) >= 1.43
# Test Suite
BuildRequires:  perl(Capture::Tiny) >= 0.24
BuildRequires:  perl(lib) perl(Test::Builder)
BuildRequires:  perl(Test::More) >= 0.88
# Optional Tests
BuildRequires:  perl(Pod::Coverage) >= 0.18
BuildRequires:  perl(Test::Pod) >= 1.22
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
# Explicit Requirements
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(B::Deparse)
Requires:       perl(Text::Diff) >= 1.43

%description
When the code you're testing returns multiple lines, records or data
structures and they're just plain wrong, an equivalent to the Unix
diff utility may be just what's needed.

%prep
%autosetup -n Test-Differences-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Differences.3*

%changelog
* Sat Sep 09 2023 yaoxin <yao_xin001@hoperun.com> - 0.70-1
- Update to 0.70

* Mon Jun 28 2021 GuoCe <guoce@kylinos.cn> - 0.68-1
- upload code and spec.
